//
//  ServiceHomeLibraryCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/10/9.
//

import UIKit

class ServiceHomeLibraryCell: UITableViewCell {

    @IBOutlet weak var lab_knowledge: UILabel!
    @IBOutlet weak var lab_fault: UILabel!
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
        lab_knowledge.text = "知识库".languageString()
        lab_fault.text = "故障库".languageString()
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    @IBAction func clickButton(_ sender: UIButton) {
        callBack?(sender.titleLabel?.text!)
    }
}
extension ServiceHomeLibraryCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = Any
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
    }
    
    func row_update(config data: ConfigModel) {
    }
    
    func row_update(callBack block: TCRowCallBack?) {
        self.callBack = block
    }
}
